ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli-lib-install - Installs one or more specified libraries into the system.

SYNOPSIS
arduino-cli lib install LIBRARY[@VERSION_NUMBER]... [flags]

DESCRIPTION
Installs one or more specified libraries into the system.

OPTIONS
--git-url[=false]
    Enter git url for libraries hosted on repositories

-h, --help[=false]
    help for install

--install-in-builtin-dir[=false]
    Install libraries in the IDE-Builtin directory

--no-deps[=false]
    Do not install dependencies.

--no-overwrite[=false]
    Do not overwrite already installed libraries.

--zip-path[=false]
    Enter a path to zip file

OPTIONS INHERITED FROM PARENT COMMANDS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      debian/build/bin/arduino-cli lib install AudioZero       # for the latest version.
      debian/build/bin/arduino-cli lib install AudioZero@1.0.0 # for the specific version.
      debian/build/bin/arduino-cli lib install --git-url https://github.com/arduino-libraries/WiFi101.git https://github.com/arduino-libraries/ArduinoBLE.git
      debian/build/bin/arduino-cli lib install --git-url https://github.com/arduino-libraries/WiFi101.git#0.16.0 # for the specific version.
      debian/build/bin/arduino-cli lib install --zip-path /path/to/WiFi101.zip /path/to/ArduinoBLE.zip

SEE ALSO
arduino-cli-lib(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra